org.appng.api.rest.auth

## Class HttpBasicAuth

- java.lang.Object
- - org.appng.api.rest.auth.HttpBasicAuth

- All Implemented Interfaces:
    Authentication

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class HttpBasicAuth
      extends Object
      implements Authentication

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpBasicAuth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyToParams(org.springframework.util.MultiValueMap<String,String> queryParams, org.springframework.http.HttpHeaders headerParams)` Apply authentication settings to header and / or query parameters.
    `String` | `getPassword()`
    `String` | `getUsername()`
    `void` | `setPassword(String password)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpBasicAuth

          public HttpBasicAuth()

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### applyToParams

          public void applyToParams(org.springframework.util.MultiValueMap<String,String> queryParams,
                                    org.springframework.http.HttpHeaders headerParams)

      Description copied from interface: `Authentication`
      Apply authentication settings to header and / or query parameters.
      Specified by:
        `applyToParams` in interface `Authentication`
      Parameters:
        `queryParams` - The query parameters for the request
        `headerParams` - The header parameters for the request

Copyright © 2011–2023 aiticon GmbH. All rights reserved.